2017-11-20 05:28 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000441v2.0 Release (Closed)[All Projects] Generalpublic2010-06-21 21:10
Reporterzepernick 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Versionv2.0.0 
Summary0000441: Add Time Task Log Was Updated For Auditing
DescriptionThis was discussed on the forum @ http://forums.web2project.net/viewtopic.php?t=2030

@zepernick

Go ahead and log this one as an issue.

That said, I think this is easier than I thought. On the task_log table we have two fields - task_log_created and task_log_updated - which are completely independent of the actual task_log_date. Therefore, we have the audit trail that you're looking for.. we're just not sharing it.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000880

zepernick (reporter)

I just replaced line 63 in vw_logs.php with these 4 lines

    $task_log_date = intval($row['task_log_updated']) ? new CDate($row['task_log_updated']) : null;
    if ($task_log_date == null && intval($row['task_log_date'])) {
        $task_log_date = new CDate($row['task_log_date']);
    }

The task_log_updated is not filled in for old DotProject logs so I have it revert to the task_log_date if necessary. Thanks for pointing us in the right direction. Hopefully you can drop this in the next release. I am also attaching my vs_logs.php file. This was modified from version 1.3.0

Thanks,

Paul

~0000956

caseydk (administrator)

Resolved in r1158
+Notes

-Issue History
Date Modified Username Field Change
2010-05-14 06:54 zepernick New Issue
2010-05-14 07:18 zepernick Note Added: 0000880
2010-05-14 07:19 zepernick File Added: vw_logs.php
2010-05-14 08:05 caseydk Project v1.3 Release (Closed) => v2.0 Release (Closed)
2010-05-14 11:39 caseydk Status new => assigned
2010-05-14 11:39 caseydk Assigned To => caseydk
2010-06-05 06:56 caseydk Note Added: 0000956
2010-06-05 06:56 caseydk Status assigned => resolved
2010-06-05 06:56 caseydk Resolution open => fixed
2010-06-21 21:10 caseydk Status resolved => closed
2010-06-21 21:10 caseydk Fixed in Version => v2.0
+Issue History